/*
 * Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved.
 *
 * This software is dual-licensed to you under the MIT License (MIT) and the
 * Universal Permissive License (UPL).  See the LICENSE file in the root
 * directory for license terms.  You may choose either license, or both.
 */

/**
 * An IoT adapter that demonstrates use of the storage service.
 *
 * Simulates connecting to a motion activated camera and receives images and videos.  It also
 * simulates being called via the record method to record a video of a specified duration.
 *
 * Once the images and videos are created, it uploads them to the StorageService and sends an event
 * via the EventService that images and videos are available.
 */
package com.oracle.iot.sample.daf.adapter.motionactivatedcamera;
